# Example of a simple Python script to open figure10.npz
import numpy as np
import matplotlib.pyplot as plt

FILENAME = "figure10.npz"
dataset = np.load(FILENAME)

# To get names of fields and axes if in doubt,
# remove # from the following line:
#for data in dataset: print(data)

k = dataset["k"]
omega = dataset["omega"]
Ex_tilde = dataset["Ex_tilde"]

# To plot log10 of the absolute square of Exhat
Ex_tilde_log = np.log10(np.abs(Ex_tilde)**2)
plt.contourf(k*1e-3,omega/(2*np.pi)*1e-9,Ex_tilde_log,50);
plt.xlabel("$k\\;[\\mathrm{mm}^{-1}]$")
plt.ylabel("$\\omega/(2\\pi)\\;[\\mathrm{GHz}]$")
plt.colorbar();
plt.show()
